Send agent message
curl --request POST \
--url https://rxresu.me/api/openapi/agent/threads/{threadId}/messages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"message": {
"id": "<string>",
"parts": [
{
"type": "<string>"
}
],
"metadata": "<unknown>"
},
"attachmentIds": [
"<string>"
],
"context": {
"document": true,
"posting": true,
"applicationId": "<string>"
}
}
'import requests
url = "https://rxresu.me/api/openapi/agent/threads/{threadId}/messages"
payload = {
"message": {
"id": "<string>",
"parts": [{ "type": "<string>" }],
"metadata": "<unknown>"
},
"attachmentIds": ["<string>"],
"context": {
"document": True,
"posting": True,
"applicationId": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: {id: '<string>', parts: [{type: '<string>'}], metadata: '<unknown>'},
attachmentIds: ['<string>'],
context: {document: true, posting: true, applicationId: '<string>'}
})
};
fetch('https://rxresu.me/api/openapi/agent/threads/{threadId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "message",
"data": "<string>",
"id": "<string>",
"retry": 123
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Agent
Send agent message
POST
/
agent
/
threads
/
{threadId}
/
messages
Send agent message
Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Path Parameters
Body
application/json